diff -ur ircd-hybrid-6.0/include/config.h ircd-hybrid-6.0.patched/include/config.h
--- ircd-hybrid-6.0/include/config.h	Sat Feb  3 01:39:13 2001
+++ ircd-hybrid-6.0.patched/include/config.h	Sat Feb  3 01:46:41 2001
@@ -132,6 +132,12 @@
  */
 #define SERVERHIDE
 
+/* OPERHIDE
+ * Define this to prevent non-operators from seeing that somebody is
+ * oper'ed in /whois and /who.
+ */
+#define OPERHIDE
+
 /* NETWORK_NAME
  * Displayed in place of the servername when SERVERHIDE is enabled
  */   
diff -ur ircd-hybrid-6.0/src/m_who.c ircd-hybrid-6.0.patched/src/m_who.c
--- ircd-hybrid-6.0/src/m_who.c	Sat Feb  3 01:39:14 2001
+++ ircd-hybrid-6.0.patched/src/m_who.c	Sat Feb  3 01:44:47 2001
@@ -105,7 +105,11 @@
     *p++ = 'G';
   else
     *p++ = 'H';
-  if (IsAnOper(acptr))
+  if (IsAnOper(acptr) 
+#ifdef OPERHIDE
+      && IsAnOper(sptr)
+#endif
+     )
     *p++ = '*';
   if ((repchan != NULL) && (lp == NULL))
     lp = find_user_link(repchan->members, acptr);
diff -ur ircd-hybrid-6.0/src/m_whois.c ircd-hybrid-6.0.patched/src/m_whois.c
--- ircd-hybrid-6.0/src/m_whois.c	Sat Feb  3 01:39:14 2001
+++ ircd-hybrid-6.0.patched/src/m_whois.c	Sat Feb  3 01:44:50 2001
@@ -284,7 +284,11 @@
             sendto_one(sptr, form_str(RPL_AWAY), me.name,
                        parv[0], name, user->away);
 
-          if (IsAnOper(acptr))
+          if (IsAnOper(acptr)
+#ifdef OPERHIDE
+               && IsAnOper(sptr)
+#endif
+              )
             sendto_one(sptr, form_str(RPL_WHOISOPERATOR),
                        me.name, parv[0], name);
 #ifdef WHOIS_NOTICE
@@ -430,7 +434,11 @@
             sendto_one(sptr, form_str(RPL_AWAY), me.name,
                        parv[0], name, user->away);
 
-          if (IsAnOper(acptr))
+          if (IsAnOper(acptr)
+#ifdef OPERHIDE
+               && IsAnOper(sptr)
+#endif
+              )
             sendto_one(sptr, form_str(RPL_WHOISOPERATOR),
                        me.name, parv[0], name);
 #ifdef WHOIS_NOTICE
